package com.qunzhixinxi.hnqz.admin.util;

import org.apache.commons.lang3.StringUtils;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class RegUtils {

	public static boolean isEmail(String email){
		if (null==email || "".equals(email)){
			return false;
		}
		String regEx1 = "^([a-z0-9A-Z]+[-|\\.]?)+[a-z0-9A-Z]@([a-z0-9A-Z]+(-[a-z0-9A-Z]+)?\\.)+[a-zA-Z]{2,}$";
		Pattern p = Pattern.compile(regEx1);
		Matcher m = p.matcher(email);
		if(m.matches()){
			return true;
		}else{
			return false;
		}
	}

	/**
	 * 校验是否以数字加点号开始（如"11.标题"）
	 *
	 * @param content
	 * @return
	 */
	public static boolean isStartWithNumberAndSpot(String content) {
		if (StringUtils.isBlank(content)) {
			return false;
		}
		String regEx = "^[1-9]\\d*\\..*$";
		Pattern p = Pattern.compile(regEx);
		Matcher m = p.matcher(content);
		if (m.matches()) {
			return true;
		}
		return false;
	}

	/**
	 * 判断是否是整数或者是小数
	 * @param str
	 * @return true：是，false不是
	 */
	public static boolean validateNumber(String str) {
		if(StringUtils.isBlank(str)) {
			return false;
		}
		// 说明一下的是该正则只能识别4位小数；如果不限制小数位数的话，写成[+-]?[0-9]+(\\.[0-9]+)?就可以了
		return str.matches("[+-]?[0-9]+(\\.[0-9]+)?");
	}

//	public static void main(String[] args) {
//		String msg = "1dasd23424@qq。cmn";
//		System.out.println(isEmail(msg));
//	}
}
